<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
    <head>
    <th:block th:include="fragments/header"></th:block>
</head>
<body>
    <div class="container-fluid px-0">
        <th:block th:include="fragments/navbar"></th:block>
        <div class="row justify-content-center">
            <div class="col-lg-6 col-md-12 col-sm-12 justify-content-center">
                <form name="password-update" class="pr-3 pl-3" th:action="@{/password-update}" method="post">
                    <h1 class="text-center my-5">
                        Bejelentkezés
                    </h1>
                    <div th:if="${passwordUpdate == 'password_required'}"
                         class="alert alert-danger">
                        Jelszó megadása kötelező!
                    </div>
                    <div th:if="${passwordUpdate == 'password_format_not_correct'}"
                         class="alert alert-danger">
                        Jelszó formátuma nem megfelelő!
                    </div>
                    <div th:if="${passwordUpdate == 'two_password_not_equals'}"
                         class="alert alert-danger">
                        Két jelszó nem egyezik!
                    </div>
                    <div th:if="${passwordUpdate == 'incorrect_old_password'}"
                         class="alert alert-danger">
                        Régi jelszó nem megfelelő!
                    </div>
                    <div th:if="${passwordUpdate == 'error_loading_datas'}"
                         class="alert alert-danger">
                        Hiba az adatok lekérdezése során! Vegye fel velünk a kapcsolatot!
                    </div>
                    <div th:if="${passwordUpdate == 'password_update_success'}"
                         class="alert alert-success">
                        Jelszó frissítése sikerült!
                    </div>
                    <form name="registration" th:action="@{/password-update}" method="post">
                        <div class="form-group">
                            <input
                                type="password"
                                id="old-password"
                                name="oldPassword"
                                class="form-control"
                                placeholder="Régi jelszó"
                                >
                        </div>
                        <div class="form-group">
                            <input
                                type="password"
                                id="new-password"
                                name="newPassword"
                                class="form-control"
                                placeholder="Új jelszó"
                                >
                        </div>
                        <div class="form-group">
                            <input
                                type="password"
                                id="confirm-new-password"
                                name="confirmNewPassword"
                                class="form-control"
                                placeholder="Új jelszó megint"
                                >
                        </div>
                        <div class="d-flex justify-content-end form-group">
                            <button class="btn btn-primary" id="submit">
                                Frissítés
                                <i class="fa fa-long-arrow-right" aria-hidden="true"></i>
                            </button>
                        </div>
                    </form>
            </div>    
        </div>
    </div> 
<th:block th:include="fragments/footer"></th:block>
<script>
    $(document).ready(function () {
        $("#submit").click(function () {
            $(this).html(
                    `<span class="spinner-border spinner-border-sm" role="status" aria-hidden="true"></span>`
                    );
        });
    });
</script>
</div>
</body>
</html>
